DRatio {PerformanceAnalytics} | R Documentation

## d ratio of the return distribution

### Description

The d ratio is similar to the Bernado Ledoit ratio but inverted and taking into account the frequency of positive and negative returns.

### Usage

    DRatio(R, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`...` | any other passthru parameters

### Details

It has values between zero and infinity. It can be used to rank the performance of portfolios. The lower the d ratio the better the performance, a value of zero indicating there are no returns less than zero and a value of infinity indicating there are no returns greater than zero.

DRatio(R) = nd*sum (t=1..n)(max(-R(t),0)) / nu*sum(t=1..n)(max(R(t),0))

where n is the number of observations of the entire series, n_{d} is the number of observations less than zero, n_{u} is the number of observations greater than zero

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.95

### Examples

    data(portfolio_bacon)
    print(DRatio(portfolio_bacon[,1])) #expected 0.401

    data(managers)
    print(DRatio(managers['1996']))
    print(DRatio(managers['1996',1])) #expected 0.0725

[Package PerformanceAnalytics version 1.5.3 Index]